function y = deflator(emppdf, estpdf)
% deflator returns the scaler to multiply the emppdf so that emppdf is
% duly rescaled so that the sum of squared residuals between emppdf and
% estpdf is minimized (instead of just lining up the highest point with
% each other). 

jrorgalton = 1; % toggle this on for jr and off for galton. 2 for gev. 
if jrorgalton == 1
    intdeflator = max(emppdf)/max(estpdf); % this doesn't give a good
    % starting point if the gap between emppdf and estpdf is too large (as is
    % the case with galton. JR is fine with max(emppdf)/max(estpdf).
    % 
elseif jrorgalton == 0
    intdeflator = 1.5e-5;  % eyeballed value. 
elseif jrorgalton == 2
    intdeflator = 2.5e-5; % eyeballed value for gev. 
end

[mydeflator, squared_sum_of_residual, exitflag, output] = fminsearch(@(myscaler) scaler(myscaler, emppdf, estpdf), intdeflator); %, ...
%      optimset('display', 'iter-detailed', 'PlotFcns', {@optimplotfval, @optimplotx}, 'maxiter', 300, ...  % 400
%     'MaxFunEvals', 161, ...
%     'FunValCheck', 'on'));

y = mydeflator;
    
    