function y = pdfofs9(s, param)
% pdfofs.m: pdf as a derivative of cdf
% pdfofs2.m: pdf as a differential of cdf
% pdfofs4.m: on 5/28/14. I forgot to devide cdf(2)-cdf(1) by s(2)-s(1) in
% pdfofs3 and pdfofs2. 

% actually pdfofs4 and pdfofs returns almost the same results. Try running
% plot(s, pdfofs(s, estparam), s, pdfofs4(s, estparam))
% set(gca, 'xscale', 'log')
% They match except for s_1, which I replaced with 0 here. 
% I guess I'll just use pdfofs then. It's kinda hard to see the
% relationship between PDF and CDF from plot but I guess it's just how they
% are. 

% 6/17/14: first couple of entries are:
%  1.0e-04 *
% 
%          0
%        NaN
%     0.1052
%        NaN
%     0.1328
%        NaN
%        NaN
%        NaN
%     0.1546
%        NaN
%     0.1732
% NaN because some of the cities have the same size. Hence pdfofs4 may be
% wrong. 

J = numel(s);

s = sort(s);

cdf = cdfofs(s, param);         % [cdf(1)  cdf(2)  ... cdf(J)]'
prev = [0; cdf(1:end-1)];       % [0       cdf(1)  ... cdf(J-1)]'
numerator = [cdf - prev];
% 
denom = [1; log(s(2:J)) - log(s(1:J-1))]; % use log scale to be in line with CDF. You can't take linear scale here and 
% and plot in log scale later. Everything will be screwed up.  

temp = numerator./denom; % [cdf(1)/1    (cdf(2)-cdf(1))/(s_2 - s_1)   ...   (cdf(J)-cdf(J-1))/(s_J - s_{J-1})]'

for i = 2:numel(temp) % removing 
    if isnan(temp(i))
        temp(i) = temp(i-1);
    end
end

y = temp; % I got to fill 0 for pdf(s_1) cuz I can't define it when there is no s_0. 


