function y = pdfofs_exp_smooth(s, param)
% do not use input s as data s here. input s may not be data s. 
load s.dat 
k = sort(kofs(s, param)); % can't use k due to conflict with a function named k. using myk instead. 
% kofs is shared between jr ER/BA and jr BA. 

gamma   = param(1);
delta   = param(2);
knaught = param(3);
m       = param(4);

lambda = 1/m;
% do not use mean(s). s can be anything in this function. 
% shat = mean(s);
shat = mean(s);

J = numel(s);

pdf = zeros(J, 1); % preallcation

for i = 1:J
    if k(i) < knaught
        pdf(i) = 0;
    else
        pdf(i) = gamma*delta*shat^(-delta)*s(i).^(delta - 1)*lambda.*exp(-lambda*(k(i)-knaught));
    end
end

y = pdf;