function y = cdfofs(s, param)
k = sort(kofs(s, param)); 

gamma   = param(1);
delta   = param(2);
knaught = param(3);
m       = param(4);

lambda = 1/m;

cdf = zeros(numel(s), 1); % preallocation
for i = 1:numel(s)
    if k(i) < knaught
        cdf(i) = 0;
    else
        cdf(i) = 1 - exp(-lambda*(k(i) - knaught));
    end
end
y = cdf; 