function y = deflator(emppdf, estpdf)
% deflator returns the scaler to multiply the emppdf so that emppdf is
% duly rescaled so that the sum of squared residuals between emppdf and
% estpdf is minimized (instead of just lining up the highest point with
% each other). 

intdeflator = max(emppdf)/max(estpdf);

[mydeflator, squared_sum_of_residual, exitflag, output] = fminsearch(@(myscaler) scaler(myscaler, emppdf, estpdf), intdeflator); %, ...
%      optimset('display', 'iter-detailed', 'PlotFcns', {@optimplotfval, @optimplotx}, 'maxiter', 300, ...  % 400
%     'MaxFunEvals', 161, ...
%     'FunValCheck', 'on'));

y = mydeflator;
    
    