tic

% load s and intparam before running this file. 
% 5/12/14: intparam = [5 1.2 10 .1] works. Optimization terminates
% satisfying the convergence criteria :] avgloglh is 324.59. 

[estparamminks, estminks]=fminsearch(@(param) ks(s, param), intparam, ...
    optimset('display', 'iter-detailed', 'PlotFcns', {@optimplotfval, @optimplotx}, 'maxiter', 339, ...
    'FunValCheck', 'on'));

% If you want to make pdf single peaked, set maxiter around 280 to 290. 
% If you want to keep tau > 1, set maxiter around 339. Past 339, it turns less than 1. For some reason 338 gets you tau = 1.007 but 339 gets you a *larger* tau = 1.203. (6/1/14)

% contents of param (inherited from loglh.m): ===========
%     gamma = param(1);
%     delta = param(2);
%     m = param(3);
%     r = param(4);
% =========================================================

save estparamminks.mat estparamminks
save estminks.mat estminks

myplotresults = 0; % Do not use "plotresults" here. That name is already taken as a function name. 
if myplotresults
    plotjrofk_before_after(s, intparam, estparam)
end

printresults = 0;
% turn this on when you run findmle2 alone. The following is merged in
% gamma_kappa_print2.m inside looper3. 
if printresults
    fprintf('\n\nParameter updates ======================\n \t\t gamma \t kappa \t k_0 \t m \t\t r \t\t tau \n')
    fprintf('from:\t %s\n', num2str(intparam, '%04.2f\t'))
    fprintf('chng:\t %s\n', num2str(estparam - intparam, '%04.2f\t'))
    fprintf('to:\t\t %s\n========================================\n\n\n', num2str(estparam, '%04.2f\t'))
end

toc