tic

% load s and intparam before running this file. 
% 5/12/14: intparam = [5 1.2 10 .1] works. Optimization terminates
% satisfying the convergence criteria :] avgloglh is 324.59. 

[estparam, neggeogap, exitflag, ouput]=fminsearch(@(param) -geogap(s, param), intparam, ...
    optimset('display', 'iter-detailed', 'PlotFcns', {@optimplotfval, @optimplotx}, 'maxiter', 480, ...  % tau drops below 1 past 335. 
    'MaxFunEvals', 1e4, ...
    'FunValCheck', 'on')); % , ...
%     'TolX', 1e-40, ...
%     'TolFun', 1e-40));
% You *need to terminate* before fminsearch drive cdfofs(s, param) into a
% complex plane by setting 'maxiter' low. 

% There is no significant improvement past iter=335. Increasing the value will come with the price of screwing up the estimate
% for merely a merginal/futil improvement in geogap. (6/1/14). 
estgeogap = -neggeogap; 

save estparam.mat estparam
save estgeogap.mat estgeogap

myplotresults = 0; % Do not use "plotresults" here. That name is already taken as a function name. 
if myplotresults
    plotjrofk_before_after(s, intparam, estparam)
end

printresults = 0;
% turn this on when you run findmle2 alone. The following is merged in
% gamma_kappa_print2.m inside looper3. 
if printresults
    fprintf('\n\nParameter updates ======================\n \t\t gamma \t kappa \t k_0 \t m \t\t r \t\t tau \n')
    fprintf('from:\t %s\n', num2str(intparam, '%04.2f\t'))
    fprintf('chng:\t %s\n', num2str(estparam - intparam, '%04.2f\t'))
    fprintf('to:\t\t %s\n========================================\n\n\n', num2str(estparam, '%04.2f\t'))
end

toc