function y = ppplot_minks(s, param)
% cdf is kinda deceptive  in that the gradient is inflated near min(s) and
% underrepresented near max(s) in log scale. But then if I do a linear
% scale, cdf will be just an upsidedown L. As a compromise, I do pp plot. 

% close all
color
s = sort(s); % sort s so that pdf and cdf plots won't go back and forth. 
% Also, remove 0 from s so you can take a log. 

filenames(1, :) = 'pp_minks';
% for i = 1:2
% %     myt(i, :) = num2str(i, '%d');
%     filenames(i, :) = strcat('jrofs_mse', myt(i, :));
% end

showfigure = [1 1];

if showfigure(1)
    figure(5)
    set(gcf,'defaultaxesfontsize', 13, ...
        'DefaultAxesLineWidth', 1, ...
        'DefaultAxesColorOrder', [gris], ...
        'defaultlinelinewidth', 2, ...
        'defaultlinemarkersize', 20, ...
        'defaultlinemarker', '.', ...
        'defaulttextfontsize', 13, ...
        'defaultaxesnextplot', 'add', ...
        'units', 'normalized', 'position', [0.0500    0.5200    0.2917    0.3889])
    
    fortyfive(1) = plot([0 1], [0 1]);    
    set(fortyfive, 'line', '-', 'linewidth', 1, 'marker', 'none')
    
    J = numel(s);
    mycolor = zeros(J, 3); % preallocation
    
    myempcdf = empcdf(s);
    mycdfofs = cdfofs(s, param);  
    
%     s = log(s);
    for i = 1:J
        if s(i) == min(s)
            mycolor(i, :) = rjvb(1, :);
        else
            mycolor(i, :) = rjvb(ceil((s(i) - min(s))/(max(s) - min(s))*255), :);
        end        
        myplot(i) = plot(myempcdf(i), mycdfofs(i), 'color', mycolor(i, :));
    end
    set(myplot, 'line', 'none', 'marker', '.', 'markersize', 12)
%     set(myplot, 'marker', 'o', 'markersize', 5, 'line', '-', 'linewidth', .1, 'color', gris) %, 'markerfacecolor', rjvb(1, :)) 
    
    
        showrank = 0;
        myrank = [1 206 949 4205 12202 12677 25357]';
        myrankstr = num2str(myrank);
        myrank = (J+1)*ones(numel(myrank), 1) - myrank; % actual s is in ascending order. Revert the rank. 
        mycityname = {'New York', 'Beaumont, TX', 'University City, MO', 'Hillsboro, TX', 'Sutton, NE', 'Harristown, IL', 'New Amsterdam, IN'};
    myoffset = 5e-3;
    for i = 1:numel(myrank)
%         mytext(i) = text(myempcdf(myrank(i)), mycdfofs(myrank(i)), strcat(sprintf('#%s\t', strtrim(myrankstr(i, :))), cellstr(mycityname(i))), 'color', mycolor(myrank(i), :));
        if showrank
            mytext(i) = text(myempcdf(myrank(i))-myoffset, mycdfofs(myrank(i))+myoffset, ...
            sprintf('#%s %s', strtrim(myrankstr(i, :)), char(cellstr(mycityname(i)))), 'color', mycolor(myrank(i), :));
%         mytextrank(i) = text(myempcdf(myrank(i)), mycdfofs(myrank(i)), cellstr(myranknumber(i)), 'color', mycolor(myrank(i), :));
        else
            mytext(i) = text(myempcdf(myrank(i))-myoffset, mycdfofs(myrank(i))+myoffset, ...
            cellstr(mycityname(i)), 'color', mycolor(myrank(i), :)); 
        end
        mydot(i) = plot(myempcdf(myrank(i)), mycdfofs(myrank(i)), 'markerfacecolor', mycolor(myrank(i), :));
    end
    set(mytext, 'verticalalignment', 'bottom', 'horizontalalignment', 'right')
    set(mytext(2), 'verticalalignment', 'bottom')
    set(mytext(2), 'rotation', -90, 'horizontalalignment', 'left')
    set(mytext(6), 'horizontalalignment', 'left', 'verticalalignment', 'top')
    set(mytext(end), 'horizontalalignment', 'left')
%     set(mytext(5), 'horizontalalignment', 'left', 'verticalalignment', 'bottom')
    
    set(mydot, 'marker', 'o', 'markersize', 8, 'markeredgecolor', gris, 'linewidth', 2)
    
    xlabel('Empirical CDF')
    ylabel('Estimated CDF')
    axis equal
    axis square
    
        grid on
        set(gca, 'xcolor', grisp, 'ycolor', grisp, 'zcolor', grisp, 'gridlinestyle', '-', 'minorgridlinestyle', '-')
        Caxes = copyobj(gca,gcf);
        set(Caxes, 'color', 'none', 'xcolor', noir, 'xgrid', 'off', 'ycolor', noir, 'ygrid','off')
end

hgexport(figure(5), filenames(1, :))
end