function y = pdfofk(s, param)
k = sort(kofs(s, param)); % can't use k due to conflict with a function named k. using myk instead. 

gamma   = param(1);
delta   = param(2);
knaught = param(3);
m       = param(4);

lambda = 1/m;
J = numel(s);

pdf = zeros(J, 1); % preallocation

for i = 1:J
    if k(i) < knaught
        pdf(i) = 0;
    else
        pdf(i) = lambda*exp(-lambda*(k(i) - knaught));
    end
end

y = pdf;