function y = pdfofs10(s, param)
% pdfofs.m: pdf as a derivative of cdf
% pdfofs2.m: pdf as a differential of cdf
% pdfofs4.m: on 5/28/14. I forgot to devide cdf(2)-cdf(1) by s(2)-s(1) in
% pdfofs3 and pdfofs2. 

% actually pdfofs4 and pdfofs returns almost the same results. Try running
% plot(s, pdfofs(s, estparam), s, pdfofs4(s, estparam))
% set(gca, 'xscale', 'log')
% They match except for s_1, which I replaced with 0 here. 
% I guess I'll just use pdfofs then. It's kinda hard to see the
% relationship between PDF and CDF from plot but I guess it's just how they
% are. 

% 6/17/14: first couple of entries are:
%  1.0e-04 *
% 
%          0
%        NaN
%     0.1052
%        NaN
%     0.1328
%        NaN
%        NaN
%        NaN
%     0.1546
%        NaN
%     0.1732
% NaN because some of the cities have the same size. Hence pdfofs4 may be
% wrong. 
% 
% pdfofs10.m on 6/24/14: pdfofs9.m is computed from cdf step by step.
% pdfofs10 is computed as a derivative of cdf. Both should yield the same
% results, except that pdfofs10 is smoothier. pdfofs10 works with smaller
% sample size. 
% Note that pdf is defined as d CDF(log(s)) / d log(s) to present pdf on
% log scale in line with CDF. Computing d CDF(s) / ds and the plot in log
% scale does not work as it will be skewed. 

J = numel(s);

s = sort(s);

% cdf = cdfofs(s, param);         % [cdf(1)  cdf(2)  ... cdf(J)]'
% prev = [0; cdf(1:end-1)];       % [0       cdf(1)  ... cdf(J-1)]'
% numerator = [cdf - prev];
% % 
% denom = [1; log(s(2:J)) - log(s(1:J-1))]; % use log scale to be in line with CDF. You can't take linear scale here and 
% % and plot in log scale later. Everything will be screwed up.  
% 
% temp = numerator./denom; % [cdf(1)/1    (cdf(2)-cdf(1))/(s_2 - s_1)   ...   (cdf(J)-cdf(J-1))/(s_J - s_{J-1})]'
% 
% for i = 2:numel(temp) % removing 
%     if isnan(temp(i))
%         temp(i) = temp(i-1);
%     end
% end
% 
% y = temp; % I got to fill 0 for pdf(s_1) cuz I can't define it when there is no s_0. 
% 
% 

gamma   = param(1);
delta   = param(2);
knaught = param(3);
m       = param(4);
r       = param(5);
    
% Define kofs within this file. =========
% Do not quote kofs.m here as it computes shat from input s, which is
% actually logs here. 
shat = mean(s);

term1 = gamma*shat^(-delta)*delta*(log(s)).^(delta - 1);
term2 = (knaught + r*m)^(r+1);
koflogs = gamma.*(log(s)./shat).^delta;
term3 = (r+1)*(koflogs + r*m).^(-r-2);

y = term1*term2.*term3;
