function y = pdfofs_smooth2(si, param)
% s can be anything for pdfofs_smooth (as opposed to pdfofs, the functional
% form of which depends on s itself). pdfofs_smooth just returns an analytical
% function. 5/29/14. 

% do NOT use s as an input. We got to load s.dat later and it replaces all
% input s with loaded s and you'll have vector non alignment problem later.
% Just use si. 

gamma   = param(1);
delta   = param(2);
knaught = param(3);
m       = param(4);
r       = param(5);

% do not simply shat = mean(s) here. s can be anything. load s.dat first
load s.dat
shat = mean(s);

y = si.*(knaught + r*m)^(r+1)*(r+1)*gamma*shat^(-delta)*delta.*si.^(delta-1).*(gamma*si.^delta*shat^(-delta) + r*m).^(-r-2);

    
