function y = ppplot7(s)
% cdf is kinda deceptive  in that the gradient is inflated near min(s) and
% underrepresented near max(s) in log scale. But then if I do a linear
% scale, cdf will be just an upsidedown L. As a compromise, I do pp plot.

% ppplot5.m on 7/3/14: switching color coded part to 45 degree line rather
% than ppplot so that we can compare different functions.
% ppplot6.m on 7/5/14: switching location of city names to the east to
% clear the plotting area for multiple lines. 

close all
color
myfont = 'Frutiger Black';
s = sort(s); % sort s so that pdf and cdf plots won't go back and forth. 
% Also, remove 0 from s so you can take a log. 

filenames(1, :) = 'ppp';
% for i = 1:2
% %     myt(i, :) = num2str(i, '%d');
%     filenames(i, :) = strcat('jrofs_mse', myt(i, :));
% end
load estparam.mat
param = estparam;

showfigure = [1 1];

if showfigure(1)
    figure(5)
    set(gcf,'defaultaxesfontsize', 13, ...
        'DefaultAxesLineWidth', 1, ...
        'DefaultAxesColorOrder', [gris], ...
        'defaultlinelinewidth', 2, ...
        'defaultlinemarkersize', 20, ...
        'defaultlinemarker', '.', ...
        'defaulttextfontsize', 13, ...
        'defaultAxesFontName', myfont, ...
        'defaultTextFontName', myfont, ...
        'defaultaxesnextplot', 'add', ...
        'units', 'normalized', 'position', [0.0500    0.5200    0.2917    0.3889])
    
    J = numel(s);
    mycolor = zeros(J, 3); % preallocation
    
    myempcdf = empcdf(s);
    mycdfofs = cdfofs(s, param);  
    
    for i = 1:J
        if i == 1
            mycolor(i, :) = rjvb(1, :);
        else
            mycolor(i, :) = rjvb(ceil((s(i) - min(s))/(max(s) - min(s))*255), :);
        end        
        myplot(i) = plot(i/J, i/J, 'color', mycolor(i, :)); hold all
    end
    set(myplot, 'line', 'none', 'marker', '.', 'markersize', 8)
%     set(myplot, 'marker', 'o', 'markersize', 5, 'line', '-', 'linewidth', .1, 'color', gris) %, 'markerfacecolor', rjvb(1, :)) 
    
    
    showrank = 1;
               myrank = [1 18 117 152 386  461 922]';
        myrankstr = num2str(myrank);
        myrank = (J+1)*ones(numel(myrank), 1) - myrank; % actual s is in ascending order. Revert the rank. 
        mycityname = {'New York', 'St. Louis', 'Beaumont, TX', 'Green Bay, WI', 'Sunbury, PA', 'Hinesville, GA', 'Andrews, TX'};
    myoffset = 5e-3;
    for i = 1:numel(myrank)
%         mytext(i) = text(myempcdf(myrank(i)), mycdfofs(myrank(i)), strcat(sprintf('#%s\t', strtrim(myrankstr(i, :))), cellstr(mycityname(i))), 'color', mycolor(myrank(i), :));
        if showrank
%             mytext(i) = text(myempcdf(myrank(i))-myoffset, myempcdf(myrank(i))+myoffset, ...
%             if i == 1 || i == 2
%                 mytext(i) = text(1, myempcdf(myrank(i)), ...
%                 sprintf('#%s %s', strtrim(myrankstr(i, :)), char(cellstr(mycityname(i)))), 'color', mycolor(myrank(i), :));
    %         mytextrank(i) = text(myempcdf(myrank(i)), mycdfofs(myrank(i)), cellstr(myranknumber(i)), 'color', mycolor(myrank(i), :));
%             else 
                mytext(i) = text(.75, myempcdf(myrank(i)), ...
                sprintf('#%s %s', strtrim(myrankstr(i, :)), char(cellstr(mycityname(i)))), 'color', mycolor(myrank(i), :));
%             end
        else
%             mytext(i) = text(myempcdf(myrank(i))-myoffset, myempcdf(myrank(i))+myoffset, ...
            if i == 1 || i == 2
                mytext(i) = text(1, myempcdf(myrank(i)), ...
                cellstr(mycityname(i)), 'color', mycolor(myrank(i), :)); 
            else
                mytext(i) = text(.75, myempcdf(myrank(i)), ...
                cellstr(mycityname(i)), 'color', mycolor(myrank(i), :)); 
            end
        end
        mydot(i) = plot(myempcdf(myrank(i)), myempcdf(myrank(i)), 'markerfacecolor', mycolor(myrank(i), :));
    end
    set(mytext, 'verticalalignment', 'middle', 'horizontalalignment', 'left', 'fontsize', 11)
%     set(mytext([1 2]), 'horizontalalignment', 'right')
    set(mytext([1 end]), 'verticalalignment', 'bottom')
    set(mydot, 'marker', 'o', 'markersize', 6, 'markeredgecolor', gris, 'linewidth', 2)

%     fortyfive(1) = plot([0 1], [0 1]);    
%     set(fortyfive, 'line', '-', 'linewidth', 1, 'marker', 'none')
    
    load estparam_galton.mat
    mycomp(1) = plot(myempcdf, logncdf(s, estparam_galton(1), estparam_galton(2)));
    load estparam_gev.mat
    mycomp(2) = plot(myempcdf, cdfofs_gev(s, estparam_gev));
    mycomp(3) = plot([0 (J-152)/J (J-152)/J 1], [0 0 1 1]);
    mycomp(4) = plot(myempcdf, mycdfofs);
    load estparam_exp.mat
    mycomp(5) = plot(myempcdf, cdfofs_exp(s, estparam_exp));
    set(mycomp(1), 'color', marouge)
    set(mycomp(2), 'color', orange)
    set(mycomp(3), 'color', .8*jaune+.2*herbe)
    set(mycomp(4), 'color', vert)
    set(mycomp(5), 'color', bfonce)
    
    mylegend = legend(mycomp, sprintf('Lognormal (Eeckhout)'), ...
        sprintf('GEV (Berliant & Watanabe)'), ...
        sprintf('Complete Graph (de facto)'), ...
        sprintf('ER/BA (Jackson & Rogers)'), ...
        sprintf('ER (Jackson & Rogers)'));
    set(mylegend, 'box', 'off', 'location', 'northwest', 'linewidth', 1, 'fontsize', 11)
    
    xlabel('Empirical CDF')
    ylabel('Estimated CDF')
    axis equal
    axis square
    
        grid on
        set(gca, 'xcolor', grisp, 'ycolor', grisp, 'zcolor', grisp, 'gridlinestyle', '-', 'minorgridlinestyle', '-')
        set(gca, 'xtick', 0:.25:1, ...
            'ytick', 0:.25:1, ...
            'xticklabel', sprintf('%01.2f|', 0:.25:1), ...
            'yticklabel', sprintf('%01.2f|', 0:.25:1))
        Caxes = copyobj(gca,gcf); 
        set(Caxes, 'color', 'none', 'xcolor', noir, 'xgrid', 'off', 'ycolor', noir, 'ygrid','off')
end

hgexport(gcf, filenames(1, :))
export_fig(gcf, filenames(1, :), '-eps', '-pdf', '-transparent')
end